std::hash< thread::id > Struct Reference
Concurrency » Threads

Inherits std::__hash_base< _Result, _Arg >.

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

size_t | operator() (const thread::id &__id) const noexcept

## Detailed Description

std::hash specialization for thread::id.

Definition at line 303 of file thread.

The documentation for this struct was generated from the following file:

- thread